:root {
    /* add */
    --font-family-noto-sans-jp: "Noto Sans JP", "Hiragino Kaku Gothic ProN","-apple-system", "Meiryo", Aria;
    --font-family-montserrat: "Montserrat", sans-serif;
}

.p-form {
    --global-form-color-text: #191919;
    --global-form-color-placeholder: #828282;

    /* add */
    --global-form-element-bgc: #fff;
    --global-form-element-bdc: #B6B6B6;

    font-family: var(--font-family-noto-sans-jp);

    *::placeholder {
        font-weight: normal;
        letter-spacing: 2px;
    }
}

.p-form .site-container {
    padding-top: 60px;
}

.o-formGlobalHeading {
    padding-top: 43px;
    height: auto;
    background: #fff;
}

.o-formGlobalHeading h2 {
    color: #191919;
    text-align: center;
    font-feature-settings: 'palt' on;

    /* heading/M */
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 2px;
}

.p-form .site-container__inner {
    margin-top: 32px;
    margin-bottom: 64px;
}

.o-flowWrap {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2px;
    padding-bottom: 12px;
}

.o-flowWrap li {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 6px 12px;
    padding: 10px 14px;
    margin-left: 0;
    border-radius: 2px;
    background: var(--gray-200, #EBEEF2);
    text-align: center;
    color: var(--gray-400, #828282);

    &::after {
        content: var(--_flowWrap-li-after-content, none);
        position: absolute;
        top: calc(100% - 1px);
        left: 50%;
        display: block;
        width: 24px;
        height: 12px;
        background: var(--_flowWrap-li-after-bg, transparent);
        clip-path: polygon(0 0, 50% 100%, 100% 0);
        transform: translateX(-50%);
    }
}

.o-flowWrap li .num {
    border-radius: 2px;
    color: inherit;
    text-align: center;

    /* detail/eng/M */
    font-family: var(--font-family-montserrat);
    font-size: 1.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1;
}

.o-flowWrap li p {
    height: auto;
    padding: 0;
    border: 0;
    background: transparent;

    color: inherit;
    text-align: center;
    font-feature-settings: 'palt' on;

    /* detail/XS */
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 2px;
}

:is(
.p-form-entry .o-flowWrap li:first-child,
.p-form-confirm .o-flowWrap li:nth-child(2),
.p-form-complete .o-flowWrap li:nth-child(3)
) {
    --_flowWrap-li-after-content: "";
    --_flowWrap-li-after-bg: #0B1F45;

    background: var(--navy-800, #0B1F45);
    color: #fff;
}

:is(
.p-form-entry .o-flowWrap li:first-child p,
.p-form-confirm .o-flowWrap li:nth-child(2) p,
.p-form-complete .o-flowWrap li:nth-child(3) p
) {
    border: 0;
    background: transparent;
}

/* 謎スタイル打ち消し */
:is(
.p-form-confirm .o-flowWrap li:first-child p
) {
    background-color: transparent;
}

.o-flowArea .intro {
    margin-top: 24px;
    font-feature-settings: 'palt' on;

    /* body/M */
    font-size: 1rem;
    font-style: normal;
    font-weight: 300;
    line-height: 1.8;
    letter-spacing: 2px;
}

.o-formStack {
    padding-top: 24px;
}

.m-formSectionHeading {
    padding-bottom: 10px;
    margin-bottom: 24px;
    border-bottom: 1px solid #B6B6B6;
    font-feature-settings: 'palt' on;

    /* heading/S */
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 2px;

    &::before {
        content: none;
    }
}

.o-formBlockContainer {
    font-family: var(--font-family-noto-sans-jp);
}

.a-formLabel {
    gap: 16px;
    font-feature-settings: 'palt' on;

    /* detail/M */
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 2px;
}

.a-formLabel .-req {
    margin-left: 0;
    border-radius: 2px;
    border: 1px solid #00BCD4;
    background: #00BCD4;
    color: #fff;

    /* detail/2XS */
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
}

:is(
.o-formStackContainer input,
.o-formStackContainer textarea
) {
    --_bg-color: var(--global-form-element-bgc);
    --_bd-color: var(--global-form-element-bdc);
}

:is(
.o-formStackContainer select:not(:focus-visible),
.o-formStackContainer select:not(:focus-visible):invalid
) {
    --_bg-color: var(--global-form-element-bgc);
    --_bd-color: var(--global-form-element-bdc);
    border: 1px solid var(--_bd-color);
}

:is(.a-formInput, .a-formRadio, .a-formSelect__input, .a-formInputDateYear, .a-formInputDateMonth , .a-formInputDateDay, .a-formInputZipCode,  .a-formTextarea, .a-formTextFieldHint, .a-formSuffixText, .a-formTextMessage, .a-formTextPreview) {
    font-weight: 400;
}

.a-formRadio__label {
    padding-left: calc(var(--_box-size) + 10px);
}

.a-formRadio__label::before, .a-formRadio__label::after {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    width: var(--_box-size);
    height: var(--_box-size);
    margin: 0;
    content: "";
}

.a-formRadio__label::before {
    border: 1px solid var(--global-form-element-bdc);
    background-color: var(--global-form-element-bgc);
}

.a-formRadio__label::after {
    border: 1px solid var(--global-form-element-bdc);
    background-color: var(--global-form-element-bgc);
    background-image: radial-gradient(circle, #0B1F45 calc(12px / 2), #fff calc(12px / 2)); /* 赤い円 */
    background-repeat: no-repeat;
    background-position: center;
}

.o-formStackContainer .text {
    /* body/M */
    font-size: 1rem;
    font-style: normal;
    font-weight: 300;
    line-height: 1.8;
    letter-spacing: 2px;
}

.a-buttonContainer .a-btn {
    border-radius: 8px;
    border: 1px solid #00BCD4;
    background: #00BCD4;

    /* button/S */
    font-size: var(--_form-submit-fz, 0.875rem);
    font-style: normal;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 1px;
}

.a-buttonContainer .a-btn::after {
    top: 50%;
    bottom: auto;
    content: "";
    display: block;
    width: 1em;
    height: 1em;
    content: "";
    font-size: 1.5rem;
    background-color: currentColor;
    mask-size: 1em;
    mask-image: url(/assets/img/common/keyboard_arrow_right.svg);
    mask-repeat: no-repeat;
    transform: translateY(-50%);
}

.o-formBlockAction__button.-prev .a-btn {
    background: #B6B6B6;
    border: 2px solid #B6B6B6;
    color: #fff;
}

.o-formBlockAction__button.-prev .a-btn::after {
    mask-image: url(/assets/img/common/keyboard_arrow_left.svg);
    transform: rotate(0) translateY(-50%);
}

.m-formBlockInputSuffix .a-formInput {
    width: 100px;
}

.p-form-complete .o-flowWrap li p {
    background: transparent;
}

.p-form-complete .text {
    text-align: left;
    /* body/M */
    font-size: 1rem;
    font-style: normal;
    font-weight: 300;
    line-height: 1.8;
    letter-spacing: 2px;
}

.a-formTextFieldWarning {
    margin: 4px;
}

@media (min-width: 1024px) {
    .o-formGlobalHeading {
        padding-top: 85px;
    }

    .o-formGlobalHeading h2 {
        /* heading/2XL */
        font-size: 2.5rem;
        letter-spacing: 3px;
    }

    .p-form .site-container {
        padding-top: 60px;
    }

    .p-form .site-container__inner {
        margin-block: 100px;
    }

    .o-flowWrap li {
        flex-direction: row;
        padding: 8px;
    }

    .o-flowWrap li .num {
       transform: translateY(-0.05em);
    }

    .o-flowWrap li p {
        /* detail/L */
        font-size: 1.125rem;
        letter-spacing: 1px;
    }

    .o-formStack {
        padding-top: 32px;
    }

    .o-formBlockContainer {
        font-family: inherit;
    }

    .m-formSectionHeading {
        margin-bottom: 32px;

        /* heading/XL */
        font-size: 2rem;
        letter-spacing: 3px;
    }

    .a-buttonContainer .a-btn {
        --_form-submit-fz: 1.125rem;
    }

    .p-form-complete .text {
        text-align: center;
    }
}
